Description

It seems that this line cause troubles in code editor:

#include <float.h>

Below is list of problems i found:

- float is highlighted like regular float keyword, which is definitely wrong in this case (include statement should never be highlighted)

- jump to float.h header is impossible

Priority is low, due to I found this issue in Core.h header.

History

#1 - 09/16/2015 10:39 AM - Miroslav Fidler

- Target version set to Release 2015.2 - NTH

#2 - 09/18/2015 08:02 PM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Highlighting fixed, jump works for me - was it with Android? If yes, then issue perhaps is the same as std::vector now working...

#3 - 09/18/2015 09:31 PM - Zbigniew Rebacz

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

I can not jump to float.h header from GCC build method. Other headers can be jump easily for example syslog.h or fenv.h. By jumping i mean ALT+J

operation.

Please test with this certain header, and let me know it works for you.

#4 - 09/20/2015 07:12 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Found it. It was POSIX specific issue.

Interestingly, problem with std::vector from Android SDK is likely similiar issue (but needs separate fix): The problem is that in Linux, compiler(s) have
some hardwired include paths, different from those that we define.

#5 - 09/20/2015 11:06 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved
